# Retrieve the results for an event store query Retrieves paginated result rows and column metadata for a previously submitted Event Store query using its queryId, including total row count, row-level field values, and readiness status. Query execution is asynchronous. Endpoint: GET /meters/event-store-queries/{queryId} Version: 2026-02-20 Security: bearerAuth ## Path parameters: - `queryId` (string, required) ID of the query. ## Query parameters: - `pageSize` (integer) Page size for pagination. - `page` (integer) The page number. ## Header parameters: - `Content-Type` (string, required) Specify the content type of the request body. Use application/json. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Response 200 fields (application/json): - `success` (boolean) Indicates whether the request was successful. - `data` (object) - `data.isFailed` (boolean) A boolean flag indicating whether the query execution has failed. - `data.totalCount` (integer) The total number of rows that match the conditions defined in the executed query. - `data.columns` (array) A list containing details of each column in the store. - `data.columns.name` (string) The column name. - `data.columns.logicalType` (object) Logical type information for the column. - `data.columns.logicalType.type` (string) The data type of the column (for example, VARCHAR, BIGINT, DECIMAL). - `data.columns.logicalType.nullable` (boolean) Indicates whether the column can contain null values. - `data.columns.logicalType.length` (integer) For string types, the maximum length. - `data.columns.logicalType.precision` (integer) For DECIMAL types, the total number of digits. - `data.columns.logicalType.scale` (integer) For DECIMAL types, the number of digits to the right of the decimal point. - `data.columns.comment` (string,null) Optional comment or description for the column. - `data.rows` (array) The list of rows returned by the query. - `data.rows.kind` (string) The kind of change for the row (for example, INSERT). - `data.rows.fields` (array) The ordered list of field values for this row. Each position corresponds to a column in the columns array. - `data.message` (string) Error message displayed for a failed query execution. - `data.ready` (boolean) A boolean flag indicating whether the query execution has completed. - `previousPage` (string) Cursor for the previous page of audit records, if available. Used for backward pagination. - `nextPage` (string) Cursor for the next page of audit records, if available. Used for forward pagination. ## Response 400 fields (application/json): - `errors` (array) - `errors.code` (string) Machine-readable error code identifying the failure type. - `errors.message` (string) Human-readable description of the error that provides more context about what went wrong. - `success` (boolean) ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response